﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Grafika
{
    public partial class Form1 : Form
    {
        private GrafickeObjekty obj;
        private int objectType = 0;
        public Form1()
        {
            InitializeComponent();
            obj = new Kruznice();
            pictureBox1.Image = new Bitmap(pictureBox1.Width, pictureBox1.Height);
            using (Graphics g = Graphics.FromImage(pictureBox1.Image))
            {
                g.FillRectangle(Brushes.White, 0, 0, pictureBox1.Width, pictureBox1.Height);
            }
        }

        private void radioButton1_CheckedChanged(object sender, EventArgs e)
        {
            rLabel.Text = "R:";
            label3.Visible = false;
            V.Visible = false;
            obj = new Kruznice();
            objectType = 0;
        }

        private void radioButton2_CheckedChanged(object sender, EventArgs e)
        {
            rLabel.Text = "Sirka:";
            label3.Visible = true;
            V.Visible = true;
            obj = new Obdelnik();
            objectType = 1;
        }

        private void radioButton3_CheckedChanged(object sender, EventArgs e)
        {
            rLabel.Text = "Sirka:";
            label3.Visible = true;
            V.Visible = true;
            obj = new Elipsa();
            objectType = 2;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int x = Int32.Parse(X.Text), y = Int32.Parse(Y.Text);
            obj.x = x;
            obj.y = y;
            switch(objectType)
            {
                case 0:
                    int r = Int32.Parse(R.Text);
                    Kruznice k = (Kruznice)obj;
                    k.r = r;
                    break;
                case 1:
                    int s = Int32.Parse(R.Text);
                    int v = Int32.Parse(V.Text);
                    Obdelnik obd = (Obdelnik)obj;
                    
                    obd.v = v;
                    obd.s = s;
                    break;
                case 2:
                    s = Int32.Parse(R.Text);
                    v = Int32.Parse(V.Text);
                    Elipsa el = (Elipsa)obj;
                    el.v = v;
                    el.s = s;
                    break;
            }
            nakresli(obj, objectType,Pens.Black);
            //pictureBox1.Refresh();
        }

        private void nakresli(GrafickeObjekty obj, int objectType, Pen pen)
        {
            using (Graphics g = Graphics.FromImage(pictureBox1.Image))
            {
                switch(objectType)
                {
                    case 0:
                        Kruznice k = (Kruznice)obj;
                        g.DrawEllipse(pen,k.x,k.y,k.r,k.r);
                        break;
                    case 1:
                        Obdelnik o = (Obdelnik)obj;
                        g.DrawRectangle(pen, o.x, o.y, o.s, o.v);
                        break;
                    case 2:
                        Elipsa e = (Elipsa)obj;
                        g.DrawEllipse(pen, e.x, e.y, e.s, e.v);
                        break;
                }
                pictureBox1.Refresh();
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            int x = Int32.Parse(X.Text), y = Int32.Parse(Y.Text);
            nakresli(obj, objectType, Pens.White);
            obj.x = x;
            obj.y = y;
            nakresli(obj, objectType, Pens.Black);
        }
    }
}
